# Uses of Class
com.sun.net.httpserver.HttpExchange

Packages that use HttpExchange
Package
Description
com.sun.net.httpserver
Provides a simple high-level Http server API, which can be used to build embedded HTTP servers.

- ## Uses of HttpExchange in com.sun.net.httpserver

  Subclasses of HttpExchange in com.sun.net.httpserver
  Modifier and Type
  Class
  Description
  `class`
  `HttpsExchange`
  This class encapsulates a HTTPS request received and a response to be generated in one exchange and defines the extensions to `HttpExchange` that are specific to the HTTPS protocol.
  Methods in com.sun.net.httpserver with parameters of type HttpExchange
  Modifier and Type
  Method
  Description
  `abstract Authenticator.Result`
  Authenticator.`authenticate(HttpExchange exch)`
  Called to authenticate each incoming request.
  `Authenticator.Result`
  BasicAuthenticator.`authenticate(HttpExchange t)`
  `void`
  Filter.Chain.`doFilter(HttpExchange exchange)`
  Calls the next filter in the chain, or else the users exchange handler, if this is the final filter in the chain.
  `abstract void`
  Filter.`doFilter(HttpExchange exchange, Filter.Chain chain)`
  Asks this filter to pre/post-process the given exchange.
  `void`
  HttpHandler.`handle(HttpExchange exchange)`
  Handle the given request and generate an appropriate response.
  Method parameters in com.sun.net.httpserver with type arguments of type HttpExchange
  Modifier and Type
  Method
  Description
  `static Filter`
  Filter.`afterHandler(String description, Consumer<HttpExchange> operation)`
  Returns a post-processing `Filter` with the given description and operation.
  `static Filter`
  Filter.`beforeHandler(String description, Consumer<HttpExchange> operation)`
  Returns a pre-processing `Filter` with the given description and operation.